org.apache.storm.metric

## Class FileBasedEventLogger

- java.lang.Object
- - org.apache.storm.metric.FileBasedEventLogger

- All Implemented Interfaces:
    IEventLogger

      public class FileBasedEventLogger
      extends Object
      implements IEventLogger

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.metric.IEventLogger

      `IEventLogger.EventInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileBasedEventLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `buildLogMessage(IEventLogger.EventInfo event)`
    `void` | `close()`
    `void` | `log(IEventLogger.EventInfo event)` This method would be invoked when the `EventLoggerBolt` receives a tuple from the spouts or bolts that has event logging enabled.
    `void` | `prepare(Map<String,Object> conf, Map<String,Object> arguments, TopologyContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileBasedEventLogger

          public FileBasedEventLogger()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> conf,
                              Map<String,Object> arguments,
                              TopologyContext context)

      Specified by:
        `prepare` in interface `IEventLogger`

    - #### log

          public void log(IEventLogger.EventInfo event)

      Description copied from interface: `IEventLogger`

      This method would be invoked when the `EventLoggerBolt` receives a tuple from the spouts or bolts that has event logging enabled.

      Specified by:
        `log` in interface `IEventLogger`
      Parameters:
        `event` - the event

    - #### buildLogMessage

          protected String buildLogMessage(IEventLogger.EventInfo event)

    - #### close

          public void close()

      Specified by:
        `close` in interface `IEventLogger`

Copyright © 2021 The Apache Software Foundation. All rights reserved.